echo off
IF %1&==& GOTO Erreur
IF %2&==& GOTO Erreur
IF %0==INSTA GOTO :lecture

Cls
echo  
echo    To install this game on your hard disk, you must
echo    have at least 7 Mbytes of free disk space.
echo 
pause

md %2\ISHAR3
copy %0.BAT %2\ISHAR3\INSTA.BAT
%2
cd %2\ISHAR3
INSTA %1 %2 
goto :fin


:lecture
echo 
:rec1
echo ***** Insert DISK A in drive %1
pause
if not exist %1\install.bat goto :rec1
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec5
echo ***** Insert DISK B in drive %1
pause
if not exist %1\dj1.io goto :rec5
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec10
echo ***** Insert DISK C in drive %1
pause
if not exist %1\io.io goto :rec10
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec15
echo ***** Insert DISK D in drive %1
pause
if not exist %1\raz.fic goto :rec15
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec20
echo ***** Insert DISK E in drive %1
pause
if not exist %1\vobs.io goto :rec20
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec25
echo ***** Insert DISK F in drive %1
pause
if not exist %1\vwall.io goto :rec25
xcopy %1\*.*
if errorlevel 2 goto :erreur2
goto :reussi

:reussi
echo 
echo     Installation finished.
echo     To play, choose START.EXE from the ISHAR3 sub-directory.
echo 
pause
Goto Fin


:erreur2
echo 
echo    ***** Procedure interrupted. *****
echo    ***** Installation failed.   *****
echo 
pause
goto :fin


:Erreur
echo 
echo       INSTALL Source_Drive Destination_Drive
echo       Ex: INSTALL A: C:
echo 
:Fin
